<?php

  include("../inc/db.php");

  if( (!@$_GET['cas'])or(!@$_GET['log'])or(!@$_GET['hash'])or(!@$_GET['odpoved']) )
  {
     die("------1\nneplatny dotaz!-----");
  };
  
  function iso2win($s)
  {
    return strtr($s,
        "\xa1\xa5\xa6\xa9\xab\xac\xae\xb1\xb5\xb6\xb7\xb9\xbb\xbc\xbe",
        "\xa5\xbc\x8c\x8a\x8d\x8f\x8e\xb9\xbe\x9c\xa1\x9a\x9d\x9f\x9e");
  };
  
  $_GET['odpoved']=stripslashes(iso2win($_GET['odpoved']));
  
  $HESLA=mysql_query("select ID, HESLO from hesla where LOGIN=\"". $_GET['log'] ."\"");
  $HESLA=mysql_fetch_assoc($HESLA);
  
  if($_GET['hash']==md5($_GET['log'] . $HESLA['HESLO'] . $_GET['cas'] . substr($_GET['odpoved'], 0, 5)))
  {//autorizovany pristup
          
     $result=mysql_query("select ID,IP from uloziste where ( (ID=". $HESLA['ID'] .")and(ODPOVED=\"\") )");
     $result=mysql_fetch_row($result);
     
     if($result[1]!=$_SERVER['REMOTE_ADDR'])
     {
        die("------1\nz teto IP nebyl prikaz prijat-----");
     };
     
     if(!$result[0])
     {
        die("-----0\nzadny prikaz nebyl vyslan-----");
     };
     
     $datum=time();
     
     mysql_query("update uloziste set IP=\"". $_SERVER['REMOTE_ADDR'] ."\", JMENO=\"". gethostbyaddr($_SERVER['REMOTE_ADDR']) ."\", CAS=\"". @$_GET['cas'] ."\", LOCAL_IP=\"". @$_GET['local_ip'] ."\", LOCAL_JMENO=\"". @$_GET['local_jmeno'] ."\", OS=\"". @$_GET['os'] ."\", ROZLISENI=\"". @$_GET['rozliseni'] ."\", PAMET=\"". @$_GET['pamet'] ."\", CPU=\"". @$_GET['cpu'] ."\", ODPOVED=\"". addslashes(trim($_GET['odpoved'])) ."\", DATUM=$datum where (ID=". $HESLA['ID'] .")");
     //zapise do databaze ODPOVED a KDY byla odeslana
     
     mysql_query("insert into historie (UID, PRIKAZ, ODPOVED, DATUM, IP) select ID, PRIKAZ, ODPOVED, DATUM, IP from uloziste where ID=". $HESLA['ID']);
     //zapise provedeny prikaz i s vysledkem do historie
?>
-----<?php echo "1\n" ?>
<?php echo Date("H:i:s d.m.y", $datum). "\n"; ?>
OK-----
<?php
     
  }else{//neautorizovany pristup
     die("------1\nneautorizovany dotaz!-----");
  };

?>
